import { AfterViewInit, OnInit } from '@angular/core';
import { PopoverComponentOptions } from './popover-component-options.provider';
import * as i0 from "@angular/core";
export declare class PopoverComponent implements OnInit, AfterViewInit {
    options: PopoverComponentOptions;
    defaultProps: any;
    maskCls: any;
    popoverCls: any;
    constructor(options: PopoverComponentOptions);
    setClassMap(): void;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<PopoverComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PopoverComponent, "Popover", never, {}, {}, never, ["*"]>;
}
